/*
 * SPDX-FileCopyrightText: 2024 Andrew Gunnerson
 * SPDX-License-Identifier: GPL-3.0-only
 */

package com.chiller3.showmime;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.provider.DocumentsContract;

import androidx.annotation.Nullable;

import com.chiller3.showmime.databinding.MainActivityBinding;

public class MainActivity extends Activity {
    private static final int REQUEST_FILE = 1;

    private MainActivityBinding binding;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        binding = MainActivityBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        binding.selectFile.setOnClickListener(v -> {
            final var intent = new Intent(Intent.ACTION_OPEN_DOCUMENT);
            intent.addCategory(Intent.CATEGORY_OPENABLE);
            intent.setType("*/*");

            startActivityForResult(intent, REQUEST_FILE);
        });
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);

        android.util.Log.wtf("WTF", "requestCode: " + requestCode);
        android.util.Log.wtf("WTF", "resultCode: " + resultCode);
        android.util.Log.wtf("WTF", "data: " + data);
        android.util.Log.wtf("WTF", "type: " + data.getType());

        if (requestCode == REQUEST_FILE && resultCode == RESULT_OK) {
            final var projection = new String[] { DocumentsContract.Document.COLUMN_MIME_TYPE };
            final var cursor = getContentResolver().query(data.getData(), projection, null, null, null);

            if (cursor != null) {
                try (cursor) {
                    if (cursor.moveToFirst()) {
                        binding.mimeType.setText(cursor.getString(0));
                    }
                }
            }
        }
    }
}